package com.hw.job.api;

import com.hw.common.core.constant.SecurityConstants;
import com.hw.common.core.constant.ServiceNameConstants;
import com.hw.common.core.domain.R;
import com.hw.job.api.domain.SysJob;
import com.hw.job.api.factory.RemoteJobFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;

import java.util.Date;

/**
 * @ClassName : RemoteJobService
 * @Description : zhouhy
 * @Author :
 * @Date: 2024-02-18 11:05
 */
@FeignClient(contextId = "remoteJobService", value = ServiceNameConstants.JOB_SERVICE, fallbackFactory = RemoteJobFallbackFactory.class)
public interface RemoteJobService {
    @PostMapping("/job")
    R<?> add(@RequestHeader(SecurityConstants.FROM_SOURCE) String source, SysJob job);
    @PostMapping("/job/jobByPlanRepairId")
    SysJob selectJobList(Long planRepairId);


}
