package com.hw.common.core.constant;

/**
 * @Description:生产部分常量定义
 * @ProjectName:HwMes
 * @Author:xins
 * @Date:2024-01-26 11:02
 * @Version:1.0
 */
public class MesConstants {

    /*条码类型*/
    public static final String MES_BARCODE_TYPE_RAW = "1";//原材料
    public static final String MES_BARCODE_TYPE_SEMI = "2";//半成品
    public static final String MES_BARCODE_TYPE_PRODUCT = "3";//成品
    public static final String MES_BARCODE_TYPE_BACKPLATE = "4";//背板

    /** 工单状态；0-待发布 */
    public static final String UN_PUBLISH = "0";

    /** 工单状态；0-已发布 */
    public static final String PUBLISHED = "1";

    /** 工单状态；2-已完成 */
    public static final String FINISHED = "2";

    /** 工单状态；3-已开始 */
    public static final String BEGIN = "3";

    /** 工单状态；4-暂停 */
    public static final String PAUSE = "4";

    /** 工单状态；8-已撤回 */
    public static final String RECALL = "8";

    /** 工单状态；9-已删除 */
    public static final String DELETE = "9";


    /*生产计划明细状态*/
    public static final String MES_PRODUCT_PLAN_DETAIL_STATUS_TO_START = "1";//未开始
    public static final String MES_PRODUCT_PLAN_DETAIL_STATUS_STARTED = "2";//已开始
    public static final String MES_PRODUCT_PLAN_DETAIL_STATUS_FINISH = "3";//已完成
    public static final String MES_PRODUCT_PLAN_DETAIL_STATUS_ABNORMAL_FINISH = "9";// 异常完成（校验物料信息不完整）

    /*生产计划状态*/
    public static final String MES_PRODUCT_PLAN_STATUS_TO_DISPATCH = "0";//未派工
    public static final String MES_PRODUCT_PLAN_STATUS_DISPATCHED = "1";//已派工
    public static final String MES_PRODUCT_PLAN_STATUS_STARTED = "2";//已开始
    public static final String MES_PRODUCT_PLAN_STATUS_FINISH = "3";//已完成

}
