package com.hw.dms.service;

import java.util.List;
import com.hw.dms.domain.DmsBillsFaultInstance;

/**
 * 检修工单Service接口
 * 
 * @author Open Platform
 * @date 2024-01-23
 */
public interface IDmsBillsFaultInstanceService 
{
    /**
     * 查询检修工单
     * 
     * @param repairInstanceId 检修工单主键
     * @return 检修工单
     */
    public DmsBillsFaultInstance selectDmsBillsFaultInstanceByRepairInstanceId(Long repairInstanceId);

    /**
     * 查询检修工单列表
     * 
     * @param dmsBillsFaultInstance 检修工单
     * @return 检修工单集合
     */
    public List<DmsBillsFaultInstance> selectDmsBillsFaultInstanceList(DmsBillsFaultInstance dmsBillsFaultInstance);

    /**
     * 新增检修工单
     * 
     * @param dmsBillsFaultInstance 检修工单
     * @return 结果
     */
    public int insertDmsBillsFaultInstance(DmsBillsFaultInstance dmsBillsFaultInstance);

    /**
     * 修改检修工单
     * 
     * @param dmsBillsFaultInstance 检修工单
     * @return 结果
     */
    public int updateDmsBillsFaultInstance(DmsBillsFaultInstance dmsBillsFaultInstance);

    /**
     * 批量删除检修工单
     * 
     * @param repairInstanceIds 需要删除的检修工单主键集合
     * @return 结果
     */
    public int deleteDmsBillsFaultInstanceByRepairInstanceIds(Long[] repairInstanceIds);

    /**
     * 删除检修工单信息
     * 
     * @param repairInstanceId 检修工单主键
     * @return 结果
     */
    public int deleteDmsBillsFaultInstanceByRepairInstanceId(Long repairInstanceId);
}
